// usequeue.cpp
// Glenn G. Chappell
// 3 Dec 2013
//
// For CS 202 Fall 2013
// Example using std::queue

#include <iostream>
using std::cout;
using std::endl;
using std::cin;
#include <queue>
using std::queue;


int main()
{
    cout << "Demo of Queue (LIFO structure)" << endl;
    cout << "[Compare program usestack.cpp]" << endl;
    cout << endl;

    queue<int> s;  // Queue of ints

    cout << "Pushing: 3, 2, 5, 1" << endl;
    s.push(3);
    s.push(2);
    s.push(5);
    s.push(1);

    cout << "Front/pop: " << s.front() << endl;
    s.pop();
    cout << "Front/pop: " << s.front() << endl;
    s.pop();

    cout << "Pushing: 7, 8" << endl;
    s.push(7);
    s.push(8);

    cout << "Front/pop: " << s.front() << endl;
    s.pop();
    cout << "Front/pop: " << s.front() << endl;
    s.pop();

    cout << "Front/pop: " << s.front() << endl;
    s.pop();
    cout << "Front/pop: " << s.front() << endl;
    s.pop();

    cout << endl;
    cout << "Press ENTER to quit ";
    while (cin.get() != '\n') ;

    return 0;
}

